//
//  MenuViewController.h
//  OBJCM
//
//  Created by Pavel on 7/24/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <QuartzCore/QuartzCore.h>
#import "GameFieldViewController.h"
#import "AppDelegate.h"

@interface MenuViewController : UIViewController



@property BOOL isGameOver;
@property BOOL isGameWin;
@property BOOL isFirstInitialization;
@property int countLevelGame;
@property double maxTick;
@property int countCards;
@property BOOL soundSwitch;

@property (nonatomic, retain) IBOutlet UILabel *labelTitle;
@property (nonatomic, retain) IBOutlet UIButton *buttonContinueGame;
@property (nonatomic, retain) IBOutlet UIButton *buttonNewGame;
@property (nonatomic, retain) IBOutlet UIImageView *imgVolumeOff;
@property (nonatomic, retain) IBOutlet UIImageView *imgVolumeOn;
@property (nonatomic, retain) IBOutlet UISwitch *soundSwitcher;

- (IBAction)didCreateNewGame:(id)sender;
- (IBAction)didContinueGame:(id)sender;
- (IBAction)didVolumeSwitch:(id)sender;


- (void) didInitializeMenuController;
- (void) initializeStyle;





@end
